Skip to main content

List Network Currencies

GET /v1/chains/{chain_id}/networks/{network_id}/currencies

Retrieves a paginated list of currencies available on a specific network.

Headers

HeaderRequiredValue
AuthorizationYesBearer <token>
X-Target-ServerYesnetwork-currencies

Path Parameters

ParameterTypeRequiredDescription
chain_idstring (UUID)YesChain ID
network_idstring (UUID)YesNetwork ID

Query Parameters

ParameterTypeRequiredDefaultValidationDescription
pageintegerNo1min: 1Page number
limitintegerNo10min: 1, max: 100Items per page

Response

200 OK

{
"data": [
{
"id": "880e8400-e29b-41d4-a716-446655440000",
"network_id": "770e8400-e29b-41d4-a716-446655440000",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6,
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"logo_url": "https://example.com/usdc.png",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"deleted_at": null
}
],
"page": 1,
"per_page": 10,
"total": 1
}

401 Unauthorized

500 Internal Server Error